Skip to content

Create a request message

Request

OAuth 2.0 scope:
  • okta.accessRequests.request.manage
Admin roles:
  • ACCESS_REQUESTS_ADMIN

Creates a message to add context to the Access requests using request conditions and sequences. The message appears in the Requester section of the Access Requests console, and the message is authored by the admin user ID calling the endpoint.

Path
requestIdstring, (rcar-request-id), = 20 characters(rcar-request-id)req[0-9a-zA-Z]+required

Unique identifier for the Resource-Centric Access Requests (RCAR) request

Example:reqp1pmpjhVdGEcVK1d5
Bodyapplication/jsonrequired

The writable attributes of a request message

messagestring, [ 1 .. 5000 ] characters(request-message-message)required

Message that will be created for the request. Newline can be specified by characters "\n". Message will be visible for all users who can view the request.

POST
/governance/api/v2/requests/{requestId}/messages
curl -i -X POST \
  https://okta-subdomain.pixtulate.com/governance/api/v2/requests/reqp1pmpjhVdGEcVK1d5/messages \
  -H 'Content-Type: application/json' \
  -d '{
    "message": "Contact admin@atko.com for any additional assistance needed with this request."
  }'

Responses

A successful create request message response

Response
No content